# Method __builtin.Nettle.Hash()->SCRAM()->server_3()

Method server_3

  ``string(7bit)` server_3(`string(8bit)` `line`, `string(8bit)` `salted_password`)`

Description

  Final server-side step in the SCRAM handshake.

Parameter `line`

  The received client-final challenge and response from the client.

Parameter `salted_password`

  The salted (using the salt provided earlier) password belonging to the specified username.

Returns

  The server-final response to send to the client. If the response is null, the client did not supply the correct credentials or the response was unparseable.